#version 330 core
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

in vec3 Normal;
in vec3 Position;

uniform vec3 cameraPos;
uniform samplerCube cubemap;
uniform float ratio;

void main()
{             
    vec3 I = normalize(Position - cameraPos);
    vec3 R = refract(I, normalize(Normal), ratio);
    FragColor = vec4(texture(cubemap, R).rgb, 1.0);
	BrightColor = vec4(0.0,0.0,0.0,1.0);
}